# PetscViewerGetType

Returns the type of a PetscViewer.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscViewerGetType(PetscViewer viewer,PetscViewerType *type)

Not Collective

### Input Parameter

viewer -the PetscViewer

### Output Parameter

type -PetscViewer type (see below)

### Available Types Include

PETSC_VIEWER_SOCKET -Socket PetscViewer
PETSC_VIEWER_ASCII -ASCII PetscViewer
PETSC_VIEWER_BINARY -binary file PetscViewer
PETSC_VIEWER_STRING -string PetscViewer
PETSC_VIEWER_DRAW -drawing PetscViewer

### Note

See include/petscviewer.h for a complete list of PetscViewers.

PetscViewerType is actually a string

### See Also

PetscViewerCreate(), PetscViewerSetType()

Level:intermediate
Location: src/sys/viewer/interface/view.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages